Skip to main content
GET
Get a specific user

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Path Parameters

user_name
string
required

Response

The user

The user object returned by the user endpoints. Custom fields are included as X- fields, see Custom fields.

user_name
string

Unique identifier of the user. Always stored and returned in lower case

first_name
string

User's first name

last_name
string

User's last name

email
string

User's email address

manager_email
string | null

Email address of the user's manager. null if not set

manager_2_email
string | null

Email address of the user's 2nd manager. null if not set

manager_3_email
string | null

Email address of the user's 3rd manager. null if not set

manager_4_email
string | null

Email address of the user's 4th manager. null if not set

manager_5_email
string | null

Email address of the user's 5th manager. null if not set

mentor_email
string

Email address of the user's mentor

lms_learner_id
string

User's identifier in your company LMS

lms_reference
string

User's LMS name in your company LMS

org_admin
boolean

true if the user is an administrator

creator
boolean

true if the user can create topics

team_leader
boolean

true if the user is the manager of at least one other user (derived from other users' manager emails)

created_at
string<date-time>

Timestamp

updated_at
string<date-time>

Timestamp

current_sign_in_at
string<date-time> | null

Timestamp. null if the user has never signed in

admin_type
integer | null

Administrator type as a number: 0 = super, 1 = standard, 2 = knowledge, 3 = reporting, 4 = instructor, 5 = restricted, 6 = observer, 7 = people, 8 = library. null if not an administrator

deactivate_scheduled_date
string<date-time> | null

Timestamp of the date on which the account is scheduled to be deactivated, or null

reactivate_scheduled_date
string<date-time> | null

Timestamp of the date on which the account is scheduled to be reactivated, or null

language
string

Language code, eg en

created_by
string

How the user was created, eg API

timezone
string

User's time zone, eg Australia/Sydney

user_notifications_enabled
boolean

true if the user receives email notifications

team_leader_report_frequency
string | null

Team leader report email frequency. See Update a specific user for values

learner_report_frequency
string | null

Learner report email frequency. See Update a specific user for values

assessor_report_frequency
string | null

Assessor report email frequency. See Update a specific user for values

default_landing_page
string

Page shown after login, or Default

org_admin_access
string

Name of the administrator type (see admin_type), or none

login
enum<string>

internal or external

Available options:
internal,
external
type
string

Type of user, eg Staff, Client

active
boolean

false if the account has been deactivated

X-[Custom]
any

Custom fields. See Custom fields

platform_champion
boolean

true if the user is a platform champion for your organisation

role_1
string | null

Name of the role in position 1, or null

role_2
string | null

Name of the role in position 2, or null

role_3
string | null

Name of the role in position 3, or null

role_4
string | null

Name of the role in position 4, or null

role_5
string | null

Name of the role in position 5, or null

groups
string

Group names, sorted and separated by semicolons

goals
string

Goal names, sorted and separated by semicolons